Skip to main content
PATCH
Update package metadata

Authorizations

Authorization
string
header
required

Synth customer access token for the current user and organization.

Path Parameters

user_id
string<uuid>
required
kind
enum<string>
required
Available options:
task,
dataset
package_id
string<uuid>
required

Body

application/json

Deliberately bounded package metadata and publication mutation.

description
string | null
Maximum string length: 2000
display_name
string | null
Required string length: 1 - 255
visibility
enum<string> | null
Available options:
private,
org,
public

Response

Successful Response

Safe package summary without storage, actor, or tenant identifiers.

access
enum<string>
required

Why the authenticated customer can read one package.

Available options:
owned,
organization,
public
canonical_ref
string
required
Required string length: 3 - 511
created_at
string<date-time>
required
id
string<uuid>
required
kind
enum<string>
required
Available options:
task,
dataset
mutable
boolean
required
name
string
required
Required string length: 1 - 255
namespace
string
required
Required string length: 1 - 255
updated_at
string<date-time>
required
visibility
enum<string>
required
Available options:
private,
org,
public
current_version_id
string<uuid> | null
description
string | null
Maximum string length: 2000
display_name
string | null
Maximum string length: 255